org.cpsolver.exam.heuristics

## Class ExamUnassignedVariableSelection

- java.lang.Object
- - org.cpsolver.exam.heuristics.ExamUnassignedVariableSelection

- All Implemented Interfaces:
    VariableSelection<Exam,ExamPlacement>

      public class ExamUnassignedVariableSelection
      extends Object
      implements VariableSelection<Exam,ExamPlacement>

  Unassigned variable selection. The "biggest" variable (using `Variable.compareTo(Variable)`) unassigned variable is selected. One is selected randomly if there are more than one of such variables.
  Version:
    ExamTT 1.3 (Examination Timetabling)
    Copyright (C) 2008 - 2014 Tomáš Müller
    muller@unitime.org
    http://muller.unitime.org
    This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 3 of the License, or (at your option) any later version.
    This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.
    You should have received a copy of the GNU Lesser General Public License along with this library; if not see http://www.gnu.org/licenses/.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExamUnassignedVariableSelection(DataProperties properties)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `init(Solver<Exam,ExamPlacement> solver)` Initialization
    `Exam` | `selectVariable(Solution<Exam,ExamPlacement> solution)` Variable selection

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExamUnassignedVariableSelection

          public ExamUnassignedVariableSelection(DataProperties properties)

      Constructor
      Parameters:
        `properties` - solver configuration

  - ### Method Detail

    - #### init

          public void init(Solver<Exam,ExamPlacement> solver)

      Initialization
      Specified by:
        `init` in interface `VariableSelection<Exam,ExamPlacement>`
      Parameters:
        `solver` - current solver

    - #### selectVariable

          public Exam selectVariable(Solution<Exam,ExamPlacement> solution)

      Variable selection
      Specified by:
        `selectVariable` in interface `VariableSelection<Exam,ExamPlacement>`
      Parameters:
        `solution` - current solution
      Returns:
        selected variable